require('nvim-format-buffer').setup({
  verbose = false,
  format_rules = {
    { pattern = { '*.c', '*.h' }, command = 'clang-format' },
    { pattern = { '*.py', '*.pyi' }, command = 'black -q --stdin-filename % - 2>/dev/null | isort -q - 2>/dev/null' },
    {
      pattern = { '*.js', '*.mjs', '*.ts', '*.mts', '*.tsx', '*.vue', '*.css' },
      command = function()
        return 'prettier --stdin-filepath ' .. vim.api.nvim_buf_get_name(0)
      end,
    },
    { pattern = { "*.sql" }, command = "pg_format --spaces=2 --wrap-limit=1000 --no-rcfile" }
  },
})
